# Yatta! API

# File: PeerJsConnector.coffee

Defined in: | lib/Connectors

## Variables Summary

module.exports =

      createPeerJsConnector

## Method Summary

- ~ (void) createPeerJsConnector peerjs_options, callback()

## Method Details

~ (void) createPeerJsConnector peerjs_options, callback()
~ (void) createPeerJsConnector peerjs_user_id, peerjs_options, callback()

### Overloads:

~ (void) createPeerJsConnector peerjs_options, callback()

### Parameters:

- peerjs_options ( `Object` ) — Is the options object that is passed to PeerJs.
- callback ( `Function` ) — The callback is called when the connector is initialized.

~ (void) createPeerJsConnector peerjs_user_id, peerjs_options, callback()

### Parameters:

- peerjs_user_id ( `String` ) — The user_id that is passed to PeerJs as the user_id and should be unique between all (also the unconnected) Peers.
- peerjs_options ( `Object` ) — Is the options object that is passed to PeerJs.
- callback ( `Function` ) — The callback is called when the connector is initialized.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input